Skip to main content
`Ctrl`+`K`

# DMTSSetIFunctionSerialize

sets functions used to view and load a `TSIFunctionFn` context

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIFunctionSerialize(DM dm, PetscErrorCode (*view)(void *, PetscViewer), PetscErrorCode (*load)(void **, PetscViewer))

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- view - viewer function

- load - loading function

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages